Bug 203914 - Clients segv on status change
Clients segv on status change
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christine Caulfield
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-08-24 09:40 EDT by Christine Caulfield
Modified: 2009-04-16 18:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: cman-2.0.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-07 05:16:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christine Caulfield 2006-08-24 09:40:22 EDT
Description of problem:

A bug introduced in CVS version 1.26 will cause client applications to
occasionally (or even frequently) to SEGV when cman issues a node state change.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Startup cluster suite (including clvmd)
2. Take a node out of the cluster

Actual results:
Something will segv. usually clvmd IME

Expected results:
no segv.

Additional info:
This was fixed i nCVS for libcman 1.27 - an uninitialised variable.
Comment 1 Christine Caulfield 2006-08-24 10:42:16 EDT
Set to assigned until the fix hits RPMs
Comment 2 Christine Caulfield 2006-09-13 03:45:07 EDT
This is a stupid system. Can I set this to MODIFIED yet?
Comment 3 Kiersten (Kerri) Anderson 2006-09-14 15:03:05 EDT
Set it to MODIFIED - next build will pick it up if it is in cvs.
Comment 4 Nate Straz 2007-12-13 12:22:36 EST
Moving all RHCS ver 5 bugs to RHEL 5 so we can remove RHCS v5 which never existed.

Note You need to log in before you can comment on or make changes to this bug.